import { Plugin as Plugin_2 } from 'vite';
import { SFCScriptCompileOptions } from '@vue/compiler-sfc';
import { SFCStyleCompileOptions } from '@vue/compiler-sfc';
import { SFCTemplateCompileOptions } from '@vue/compiler-sfc';
import { ViteDevServer } from 'vite';

export declare interface Options {
    include?: string | RegExp | (string | RegExp)[];
    exclude?: string | RegExp | (string | RegExp)[];
    ssr?: boolean;
    isProduction?: boolean;
    script?: SFCScriptCompileOptions;
    template?: SFCTemplateCompileOptions;
    style?: SFCStyleCompileOptions;
}

export declare interface ResolvedOptions extends Options {
    root: string;
    devServer?: ViteDevServer;
}

declare function vuePlugin(rawOptions?: Options): Plugin_2;
export default vuePlugin;

export { }
